Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.temporal
Interface TemporalCoordinate

All Superinterfaces:
  TemporalPosition

All Known Subinterfaces:
  JulianDate

    @UML(identifier="TM_Coordinate",
         specification=ISO_19108)
    public interface TemporalCoordinate

extends TemporalPosition

A data type that shall be used for identifying temporal position within a temporal coordinate system.

Method Summary
`Number` | `getCoordinateValue()` Returns the distance from the scale origin expressed as a multiple of the standard interval associated with the temporal coordinate system.

Methods inherited from interface TemporalPosition
`getIndeterminatePosition`

Method Detail

### getCoordinateValue

    @UML(identifier="CoordinateValue",
         obligation=MANDATORY,
         specification=ISO_19108)
    Number getCoordinateValue()

  Returns the distance from the scale origin expressed as a multiple of the standard interval associated with the temporal coordinate system.

  TODO:
    Should we return a primitive type?

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.